2010-04-22  Dirk Bergstrom  <krid@otisbean.com>

Closes gh-8: Categories should (optionally?) sort in alpha order
    * app/models/ring.js (categoriesForMojo): Return list sorted alphabetically,
    requires change to method signature.
    (editCategory): Return index of category.
    (deleteCategory): Use double-equals to get implicit type coercion when
    comparing category indices.  JSON serialization/deserialization munges
    type, and triple-equals comparisons don't work as expected.
    
    * app/assistants/item-list-assistant.js (setCategory, filterItems): Use
    double-equals instead of triple to get type coercion.
    (ItemListAssistant): Initialize this.category to ring.prefs.category
    to avoid extra work on activate().

Closes gh-27: Using "generate password" more than once when creating...
    * app/assistants/item-assistant.js (setGeneratedPassword): Call
    fieldUpdated() instead of ring.updateItem() to ensure that bookkeeping
    is kept in order.
    (timeoutOrDeactivate): Wrap call to ring.updateItem() in try/catch so
    that we'll still get to lockout even if that fails.
    (setup): Adjust to new signature of ring.categoriesForMojo();
    
    * app/assistants/categories-assistant.js (categoryAdded): Update to handle
    alpha sorted categories list.

	* resources: Add German and Mexican Spanish translations, courtesy of
	Daniel Saat and Alberto Dominguez.

2010-04-14  Dirk Bergstrom  <krid@otisbean.com>

    * app/models/ring.js (FIELD_NAME_L10N): Localizable display names for
    item fields.
    
    * app/assistants/item-assistant.js (setup): Use ring.FIELD_NAME_L10N.
    
    * app/assistants/item-list-assistant.js (handleCommand): L10N for "Edit
    Categories".

2010-04-03  Dirk Bergstrom  <krid@otisbean.com>

	* README-translations.txt: Expand and clarify instructions.

    * app/*/*.js: Many minor changes to fix errors and warnings from JSLint.

	* appinfo.json: Add splashBackground entry.
	
	* images/splash-screen.png: Splash screen for webOS 1.4 startup experience.
	
	* dev-only: Directory to hold files that won't be included in the .ipk.
	Currently has the SVG source for the icon.

	* package.sh: Exclude dev-only directory.
	
2010-03-31  Dirk Bergstrom  <krid@otisbean.com>

	* app/assistants/actions-assistant.js: Change import/export to restore/
	backup, since that better reflects usage.  Import and export are really
	handled by the desktop client.

    * app/models/ring.js (resolutions): s/imported/restored, and change
    "newer" to "newest" for clarity.

	* app/views/actions/actions-scene.html: Change import/export to restore/
	backup.

	* app/views/help/help-scene.html: Revise sections on export/backup, add
	section on desktop client, which subsumes former converter section.  Add
	changelog for 1.0 release. 
	 
	* app/assistants/categories-assistant.js (setup): Localize another string.
	
	* app/assistants/item-assistant.js (setup): Localize another string.

	* app/assistants/stage-assistant.js (handleCommand): Remove newlines from
	"About" dialog text, since l10n plumbing barfs on them.

	* appinfo.json: Change version number to 1.0.0 in preparation for app
	catalog submission.  Add smallicon and splashicon entries.
	
	* icon.png: Slightly cleaner version of the icon.
	
	* icon48.png, icon256.png: Mini and splash icons.

2010-03-15  Dirk Bergstrom  <krid@otisbean.com>

	* appinfo.json: Change version number to 0.3.0, since the changes seem
	to warrant it.

	* icon.png: Vastly improved icon courtesy of Alberto Dominguez (chav1to).
	
	* images/lock.png, open-lock.png: New images from clipart provided by
	chav1to.

	* app/views/help/help-scene.html: Note new icon in changelog, adjust
	version number and releaes date.

2010-03-14  Dirk Bergstrom  <krid@otisbean.com>

	* app/assistants/item-assistant.js (originalTitle): Renamed to
	titleInDatabase for clarity.
	(cancel): Deletion of saved item could affect the wrong record.  Use
	titleInDatabase instead of item.title to ensure that we get the right one.
	
    * app/assistants/item-list-assistant.js (sortPopupHandler): Reset
    list length flag so that scrolling will correctly reveal more items.
    Scroll list back to the top because it looks better.
    (activate): Reset list length flag.
    Continuation of the fix for gh-20.

	* app/views/help/help-scene.html: Forgot to note a change.

2010-03-12  Dirk Bergstrom  <krid@otisbean.com>

Closes gh-19: Tapping in the title field while editing results in multiple...
Closes gh-18:  Duplicate title check works, but doesn't give any indication...
Closes gh-17: Requiring explicit save on item create can lead to data loss...
	* app/assistants/item-assistant.js (fieldUpdated): Improve error handling
	and fix title tracking.
	(done): If there is a bad field value, put up an error dialog instead
	of popping the scene.
	(cancel): Delete the new item if it has been automatically saved.
	(setTitle, activate, TitleDialogAssistant): Ensure that new items have
	a title, and that it is unique.
	(activate, deactivate, timeoutOrDeactivate): Don't special-case item
	creation.

    * app/models/ring.js (updateItem): Check for empty title, and simplify
    error reporting.
    
Closes gh-25: Starting up as a "lightweight" app creates an extra process
	* app/assistants/app-assistant.js: Renamed to stage-assistant.js, and
	reworked to load the app in a standard way.  The old system resulted
	in two separate processes.
	
	* app/assistants/locked-assistant.js (activate): Use window.close() to
	close app, since previous method only worked for "lightweight" apps.

Closes gh-24: Item scene formatting bug under 1.4
	* app/views/item/item-scene.html: Move "title" divs outside of "label"
	divs, to fix a rendering bug that showed up under 1.4.

Closes gh-26: "Lock after 10 seconds" can't be canceled
	* app/assistants/stage-assistant.js (windowDeactivated, windowActivated,
	setup): Cancel lockSoon timer on stageActivate event.

Closes gh-20: Not all items visible after import
	* app/assistants/item-list-assistant.js (filterItems, activate): Better
	method to determine if we need to reset item list length.

	* app/assistants/categories-assistant.js (addCategory,
	CategoryDialogAssistant): Use new textfield-dialog.html.
	
	* app/views/categories/new-category-dialog.html: Remove in favor of
	generic textfield-dialog.html.
	
	* sources.json: Follow rename of app-assistant to stage-assistant.
	
	* appinfo.json: Remove "nowindow" attr, and bump version number.
    
    * app/views/help/help-scene.html: Update changelog and edit section
    on the Java converter.

	* index.html: Remove text to conform to new 1.4 standard.
	
	* icon.png: Less sucky version courtesy of Michael Piefel.
	
2010-02-26  Dirk Bergstrom  <krid@otisbean.com>

	* README-translations.txt: Instructions for translators.
	
	* resources/views.json: List of html files needing translation (will
	eventually be processed by python localization helper).

2010-02-18  Dirk Bergstrom  <krid@otisbean.com>

Further prep for Localization.

    * app/assistants/actions-assistant.js: Change "Ok" to "OK" globally.
    (ChangePasswordDialogAssistant): Add L10N for dialog title.
    
    * app/assistants/app-assistant.js (handleCommand): Update copyright year
    in "About" dialog.
    (Keyring.version): Remove, now sourced from appinfo.json.

    * app/assistants/categories-assistant.js: L10N for scene and dialog titles.

    * app/assistants/item-assistant.js: Switch to key/value L10N calls for
    clarity.
    
    * app/assistants/item-list-assistant.js: Remove commented dead code.
    
    * app/assistants/locked-assistant.js: Change "Ok" to "OK".
    
    * app/models/ring.js (DEFAULT_CATEGORIES): Move outside of Ring to allow
    better default behavior.
    (categories, _processDecryptedData, clearDatabase): Use new
    DEFAULT_CATEGORIES.
    (importData, resolutions, onDeactivateOptions, lockoutToOptions): Better
    L10N keys.
   
	* app/views/*: Small changes to multiple files to simplify L10N.  Use
	id's and do L10N in the js layer.	

2010-02-01  Dirk Bergstrom  <krid@otisbean.com>

	* app/models/ring.js, upgrader.js: Add $L localization to all strings.
	
	* app/assistants/item-list-assistant.js: Add $L localization to all strings.
	
	* app/assistants/actions-assistant, categories-assistant.js: Tidy up a few
	localization issues.

2010-01-17  Dirk Bergstrom  <krid@otisbean.com>

Closes gh-13: Work around deficiency in Mojo.Model.encrypt()
Closes gh-10: Option to clear decrypted in-memory data on lockout
Closes gh-9: bad usage of encryption - security hole
    * app/models/ring.js: Data is now stored in the Depot as a large encrypted
    blob, instead of a JSON object.  This is more secure, and it allows us
    to get around a deficiency in Mojo.Model.encrypt. 
    Data loading pathway has been revamped to handle the need to get a
    password in the middle of the process.
    (_encryptedData): Temp storage for db data during startup.
    (DEFAULT_PREFS): Remove requireInitialPassword.
    (ITEM_SALT_LEN, DB_SALT_LEN): Define amount of pre-encryption salt.
    (_makeKey): Factored out key building.
    (newPassword): Add salt when encrypting.  Update timeout before saving.
    (validatePassword): Now part of the initial data load path.
    (_dataObject): Now returns what used to be the export format.
    (exportableData): Now just a thin wrapper around _dataObject.
    (importData): Use new _makeKey method.
    (_rndSym): Remove curly braces so we can use this as salt around JSON.
    (_buildItem): Add salt when encrypting.
    (encrypt): Prepend salt.
    (decrypt): Strip off non-JSON salt prefix after decrypting.
    (onDeactivateOptions): Restructure to match select widget needs.
    (lockoutToOptions): Move here from preferences-assistant, add new
    close-app option.
    Add some more documentation and comments.

    * app/models/upgrader.js: Rewritten (again) for new db system.
    
    * app/assistants/app-assistant.js (windowDeactivated, Keyring.lockout):
    Handle new close-app-on-lock behavior.
    
    * app/assistants/locked-assistant.js: Add comments describing control flow.
    (beenHereBefore, doYourThing): Rename for clarity.
    (loaded): Check for errors in Depot load.
    (requestPassword): Make pushToItemList a separate method.  Remove code
    to handle non-locked-at-launch case.
    (pushToItemList): Update message & icon to "unlocked" before pushing.
    (setup): Display lock icon at startup.
    (activate): Lock ring if user pops to this scene explicitly.  Update
    message to "locked".  Handle new close-app-on-lock behavior.
    
    * app/assistants/item-assistant.js (GeneratePasswordAssistant.ok): Save
    choices to ring.prefs.
    
    * app/assistants/preferences-assistant.js (setup): Remove "Locked at Lanch"
    pref, since app is now always locked at launch.  Move options for on-
    deactivate and lockout-to to ring.js.
    Prep all strings for I18N.

    * app/views/preferences/preferences-scene.html: Remove "Locked at Lanch".
    
    * app/views/help/help-scene.html: Update changelog.
    
    * appinfo.js: Bump version for release.

    * app/assistants/actions-assistant.js: I18N prep for strings I missed.
    (ChangePasswordDialogAssistant.ok): Display error message when old password
    is wrong.
    
2010-01-03  Dirk Bergstrom  <krid@otisbean.com>

Closes gh-7: Categories ignored on import
    * app/models/ring.js (importData): A bug in webOS 1.3.5 makes JSON.parse()
    silently drop numeric keys.  Add a workaround until Palm fixes it.

    * appinfo.js: Bump version for release.

    * app/views/help/help-scene.html: Update changelog.

2010-01-02  Dirk Bergstrom  <krid@otisbean.com>

    * app/views/help/help-scene.html: Update changelog.

Closes GH-6 - Importer should ignore leading and traling junk
    * app/models/ring.js (importData): Strip non-JSON junk from the import
    data before parsing.
    
    * app/assistants/actions-assistant.js (importFileOrUrl): Fix broken logic
    for detecting file import and prepending slash.

    * appinfo.js: Bump version for release.

2010-01-01  Dirk Bergstrom  <krid@otisbean.com>

    * app/views/help/help-scene.html: Update changelog.

    * stylesheets/keyring.css: Reduce indent on help scene lists.
    
    * appinfo.js: Bump version for release.

Closes gh-4: Remove upgrade support for v0.0.1 db format
    * app/models/ring.js (_startDepotLoad): Do first-run tasks if no depot
    data is found.
    (_loadDataHandler): Remove first-run code and other legacy stuff.
    Add or enchance comments on a few methods.

    * app/models/upgrader.js: Remove version 0 upgrader, add comments.

Closes gh-2: Can't have more than 10 categories
    * app/models/ring.js (editCategory): Sort numerically instead of lexically
    when finding next available index.  Add logging.
    (categoriesForMojo): Sort numerically instead of lexically.
    (deleteCategory): Remove unused count of affected records.  Add logging.

    * app/assistants/categories-assistant.js (CategoryDialogAssistant.save):
    Remove log call.

Closes gh-1: Can't delete first item on item-list
    * stylesheets/keyring.css (#status): Change float: left to text-align: left.

Closes gh-3: Import from clipboard borken
    * app/assistants/actions-assistant.js (ImportExportDialogAssistant.setup):
    Make the 'data' input accept & display multi-line text.
    
    * app/views/actions/import-export-dialog.html: Add an id to the data
    input div, so we can control its size.    

    * stylesheets/keyring.css (#import-data-div): Add max-height to input div,
    now expands to ~3 lines of text before scrolling.

    * app/models/ring.js (importData): Strip whitespace from data before
    parsing.  Add return calls after calling callback on error.
    
2009-12-20  Dirk Bergstrom  <krid@otisbean.com>

    * app/assistants/categories-assistant.js (setup): Set initial focus to
    null.

    * app/models/ring.js (getItem): Remove encrypted stuff from item before
    passing it on.  Fixes incredibly stupid bug.
    (noteItemView): Only re-sort if currently sorting by viewed.  If so,
    set itemsReSorted, so the UI notices the change.

2009-12-19  Dirk Bergstrom  <krid@otisbean.com>

    * app/assistants/actions-assistant.js: Add button, dialog class and
    associated methods to support "change password".
    
    * app/assistants/app-assistant.js: Add "Edit Categories..." to app menu.
    
    * app/assistants/categories-assistant.js: Handle adding, deleting and
    editing categories.
    
    * app/assistants/item-assistant.js (init): Use lists of fields from ring to
    build this.fields.
    (setup): Use ring.emptyItem() when creating.  Add plumbing for
    "show empty fields", including command menu munging.  Add category support.
    Clean up field setup code.
    (timeoutOrDeactivate): Skip category.
    (handleCommand): Support "show empty fields".
    
    * app/assistants/item-list-assistant.js (init): Move global definitions here.
    (setup): Add category to command menu.  Declare fixedHeightItems in list.
    Save a reference to the list widget.  Set a status line.
    (handleCommand): Check password before changing sort order.  Support
    category menu.
    (sortPopupHandler, setSortingStatus): Keep track of sort order in the
    status line.
    (setCategory): Handle category menu actions.
    (filterItems): Make case-insensitive.
    (activate): Filter by category if necessary.
    
    * app/assistants/preferences-assistant.js (setup): Setup "hideEmpty" widget.
    
    * app/models/ring.js: Added JavaDoc-ish comments to every method.
    (onDeactivateOptions): Remove trailing comma.
    (DEFAULT_PREFS): Add category and hideEmpty.
    (categories, DEFAULT_CATEGORIES): Initial list of categories.
    (SCHEMA_VERSION): Bump due to addition of categories.
    (*_ATTRS, *_DEFAULTS): Better way of storing item attrs and their default
    values.
    (newPassword): Handle password change.
    (initDepotReader, _startDepotLoad, _loadRingData, _loadDataHandler,
    _postLoadTasks): Revamped the loading system to allow Upgrader to
    "interfere" as necessary.
    (_loadDataHandler): Handle categories.
    (_dataObject): Add categories.
    (importData): Handles earlier schema versions, refuses to import later ones.
    Better error on bad password.  Clean up prefs merging.  Handle categories
    and category mapping.  Use _upgradeItem() to copy data into db.
    (_upgradeItem): New method to massage imported items to fit current
    schema and categories.
    (clearDatabase): Clear categories on factory-reset.
    (editCategory, deleteCategory): Add, edit & delete categories.
    (updateItem): Some functionality moved to _buildItem.
    (_buildItem): Given an object, return an item formatted for the current
    schema, with the appropriate encrypted data.
    (categoriesForMojo): Returns category list formatted for use in Mojo UI
    code.
    (emptyItem): Returns a blank item for use in the create item scene.
    (formatDate): Add option to control rendering of time.
    
    * app/models/upgrader.js: Added 2=>3 upgrader.
    
    * app/views/actions/change-password-dialog.html: Now used for "change
    password" as well as "first use".
    
    * app/views/categories/*.html: Add & edit categories.
    
    * app/views/help/help-scene.html: Add info on categories, hideEmpty and
    the java gnukeyring converter.
    
    * app/views/item-list/item-list-scene.html: Add status line at the top.
    
    * app/views/item/item-scene.html: Remove header.  Add category plumbing.
    Compact date display down to one line.
    
    * app/views/preferences/preferences-scene.html: Add pref for "Hide empty
    fields".
    
    * stylesheets/keyring.css: Classes for compact dates row, status line, and
    notes area.
    
    * testing.txt: Updated with a real test script, such as it is.

2009-10-05  Dirk Bergstrom  <krid@otisbean.com>

	* app/assistants/locked-assistant.js: Fix bad path to new-password dialog.

2009-10-04  Dirk Bergstrom  <krid@otisbean.com>

Add initializing/locked scene to fix race condition, and to allow for more
lockout options.  Add option to require password at launch. 

	* app/assistants/app-assistant.js (windowDeactivated): Choose action
	based on ring.prefs; use Keyring methods for lockout.
	(pushOpeningScene): Push "locked" scene instead of item list.  This avoids
	a race-condition that would often lead to showing the "new password"
	dialog on launch.
	(PasswordDialogAssistant): Add option to prevent canceling of dialog.
	Better formatting for error display.  Focus password input on error.
	(Keyring.doIfPasswordValid): Handle preventCancel arg.
	(Keyring.lockout,activateLockout,deactivateLockout): Factored out code
	from the scenes and collected it here for simplicity.  Supports
	different behaviors per preferences.

	* app/assistants/actions-assistant.js (setup): Properly handle labels on
	ListSelectors.
	(exportToUrl): Proper error handling.
	(importFileOrUrl): Fix a really dumb bug.  Proper error handling.
	(clearDatabase): Pop to appropriate scene.
    (activate, deactivate, timeoutOrDeactivate): Use new Keyring-based
	global system for lockout/timeout.
	(ImportExportDialogAssistant): Make OK button an activity button, and
	don't allow double-submit.
	
	* app/assistants/item-assistant.js (timeoutOrDeactivate): Use new Keyring
	based global system for lockout/timeout.
	
	* app/assistants/item-list-assistant.js (activate, deactivate,
	timeoutOrDeactivate): Use new Keyring-based global system for
	lockout/timeout.
	
	* app/assistants/help-assistant.js (activate, deactivate,
	timeoutOrDeactivate): Use new Keyring-based global system for
	lockout/timeout.
	
	* app/assistants/locked-assistant.js: New scene used at launch and
	(optionally) as an app-locked screen.  Home to the "create master
	password" dialog.  
	
	* app/assistants/preferences-assistant.js (setup): Add plumbing for new
	lockout prefs.  Properly handle labels on ListSelectors.
	(activate, deactivate, timeoutOrDeactivate): Use new Keyring-based
	global system for lockout/timeout.
	
	* app/models/ring.js (DEFAULT_PREFS): New prefs for lockout behavior.
	(onDeactivateOptions): What to do when minimized.
	(initDepotReader): Return early if data already loaded.
	(_loadDepotData): Note loading of data earlier in the cycle.
	(_loadDataHandler): Fill in any missing prefs.
	
	* app/views/help/help-scene.html: Added Change Log section.
	
	* app/views/locked/locked-scene.html: New initializing/locked scene.
	
	* app/views/locked/new-password-dialog.html: Hook for better error
	formatting.  Moved to new "locked" scene.
	
	* app/views/password-dialog.html: Hook for better error formatting.
	
	* app/views/preferences/preferences-scene.html: Added new prefs for lockout.
	Reorganized prefs into "paranoia" section.  Cleanup up L&F.

2009-09-28  Dirk Bergstrom  <krid@otisbean.com>

Fix a bug in V0 upgrader.  Add user-visible display of ring.errors.  Fix some
import bugs.

	* app/assistants/help-assistant.js (setup): Display any ring.errors at the
	bottom of the scene, so we can get users to tell us what's wrong.
	(timeoutOrDeactivate): Pop to items-list scene explicitly, to avoid
	exposing a key.
	
	* app/assistants/preferences-assistant.js (timeoutOrDeactivate): Pop to
	items-list scene explicitly, to avoid exposing a key.
	
	* app/assistants/actions-assistant.js (timeoutOrDeactivate): Pop to
	items-list scene explicitly, to avoid exposing a key.
	(clearDatabase): Pop to items-list explicitly.
	(exportToUrl): Clean up URL prior to using it.
	(setup): Adjust to new ring.resolutions format.
	(importFileOrUrl): Save URL/file prefs before importing.  Fix password
	argument passing bug.
	
	* app/assistants/item-assistant.js (timeoutOrDeactivate): Pop to
	items-list scene explicitly, to avoid exposing a key.
	
	* app/models/ring.js (errors): Always push error string into errors array,
	so that they can be displayed to the user.
	(importData, resolutions): Fix a bug in resolutions definition and
	handling.
	
	* app/models/upgrader.js (processData): Wrap in try/catch block so
	we can properly report errors.
	(loadPrefs, processData): Fix null dereference bug in prefs handling.
	(loadDepotData, deleteOldData): Better error reporting.

	* app/views/help/help-scene.html: Added optional errors display.

2009-09-27  Dirk Bergstrom  <krid@otisbean.com>

	* app/assistants/actions-assistant.js: New scene for import / export and
	clear database.
	
	* app/assistants/item-list-assistant.js (NewPasswordDialogAssistant):
	I18n for hints.  Enter now submits in second input.
	(sortPopupHandler): Call correct save method.
	(*): Various small syntax fixes.
	(PasswordDialogAssistant, doIfPasswordValid): Move to app-assistant.
	
	* app/assistants/app-assistant.js (PasswordDialogAssistant): Move here
	from item-list-assistant so it can be used globally.  Unlock button
	no longer an activity button.
	(Keyring.MenuModel): Add "Database Actions" menu item.
	(setup): Use Mojo.appInfo.version instead of fancy ajax call.
	(handleCommand): Check password before opening prefs and actions scenes.
	
	* app/assistants/preferences-assistant.js: Call correct save method.
	Move clear database functionality to actions-assistant.
	
	* app/models/ring.js: Add methods & prefs for import/export.
	(_dataObject): Helper method used by saveData and export.
	(clearDatabase): Regenerate salt during factory reset.
	
	* app/models/upgrader.js: Handle import/export prefs.  Switch order of
	classes to make jslint happy.
	
	* app/views/help/help-scene.html: Rearrange, add index, add section about
	import/export.
	
	* app/views/item-list/new-password-dialog.html: Add welcome message and
	instructions.
	
	* package.sh: Simple script to generate .ipk file.

2009-09-19  Dirk Bergstrom  <krid@otisbean.com>

	* app/models/ring.js (depot methods): Store all depot data under a single
	key, which simplifies loading and storing considerably.
	(password & encryption methods): Cache key (sha256 of salt+pass) instead
	of password.
	(_checkData, newPassword, validatePassword): Use _key as checkData
	plaintext, instead of static value.
	(SCHEMA_VERSION, _loadDepotData, saveData): Handle data versioning
	and upgrading.
	(clearDatabase): Fix password check.  Revise factory reset logic.
	(buildItemList): Default to TITLE as sortKey.
	
	* app/models/upgrader.js: New classes to handle upgrading depot when
	the schema changes.
	
	* app/assistants/item-assistant.js (setup): Clean up hiding of dates row.

	* app/assistants/item-list-assistant.js (aboutToActivate): Reflect
	new name of ring init method.

	* app/assistants/preferences-assistant.js (deactivate): Properly stop
	listening to clear db button.

	* app/views/preferences/preferences-scene.html: Render checkboxes on a
	single row.
	
	* app/views/item/item-scene.html: Give an id to url-row, as part of
	date-row hiding cleanup.
	
	* app/views/item/generate-password-dialog.html: Render checkboxes on a
	single row.
	
	* stylesheets/keyring.css: Add class to allow multiple checkboxes on a
	single row.
	
2009-09-11  Dirk Bergstrom  <krid@otisbean.com>

	* README.txt: A little something to help folks on GitHub understand.

2009-09-10  Dirk Bergstrom  <krid@otisbean.com>

	* app/assistants/app-assistant.js (setup, fileReadCallback): Get version
	number by reading appinfo.json via an ajax call.

0.0.2 - Fixed a couple bugs:
 - Generated passwords didn't get put into the model properly.
 - Changed values in focused fields lost on timeout-initiated scene pop. 

0.0.1 - Initial release